// http://akelpad.sourceforge.net/forum/viewtopic.php?p=1357#1357
// Description(1033): Inserts the selected text file into the current file
// Description(1049): Вставка выбранного текстового файла в текущий
// Version: 1.12 (2015.01.15)
// Author: VladSh
// 
// Usage:
// 	-"Вставить\Файл..." Call("Scripts::Main", 1, "InsertFileEx.js", `"%f"`)

var fileName = WScript.Arguments(0);

if (fileName == AkelPad.GetEditFile(0)) {
   //Диалог открытия файла
   if (! AkelPad.Include("CommonFunctions.js")) WScript.Quit();
   fileName = fileDialogDefault(true, fileName, getFileExt(fileName));
}

if (fileName) {
   //Считывание содержимого файла
   var fso = new ActiveXObject("Scripting.FileSystemObject");
   if (fso.FileExists(fileName)) {
      //Считывание содержимого файла
      var Content = AkelPad.ReadFile(fileName);

      //Запись содержимого в окно редактирования Akel'а
      AkelPad.ReplaceSel(Content, -2);
   }
}